Subject: expire.ctl.ctl

From: [email-masked] (Rich Salz)
Date: Tue, 22 Nov 1994 11:01:19 -0500

>From [email-masked] Mon Nov 21 15:30:34 1994
Date: Mon, 21 Nov 1994 12:29:52 -0801
From: Matthew Dillon <[email-masked]>
To: [email-masked]
Subject: Re:  INN is great, bug fix for BSDI
Status: R

:thanks for the kind words; yeah msync() will be in 1.5
:

    You will appreciate this.  This is our news spool:

news1:/home/news# df -i spool/news
Filesystem  1K-blocks    Used   Avail Capacity iused   ifree  %iused  Mounted on
/dev/sd1h     8525499 4300832 4139412    51% 1202620 1579458    43%   /home/news/spool/news
news1:/home/news# 

    One problem we are having is in running expire.  The history file is huge:

    -rw-rw-r--  1 news  bin  118439911 Nov 21 12:24 history
    -rw-rw-r--  1 news  bin        125 Nov 21 12:24 history.dir
    -rw-rw-r--  1 news  bin   17552020 Nov 21 11:46 history.pag

    It takes 30-40 minutes to rewrite it on a loaded system, and tends to
    slow down news propogation while its doing it.  Not a big deal, but
    it means I can't run expire more then 4 times a day best case without
    getting behind on my feeds.  I expect the file to grow to 200MB by the
    time the spool area fills up.

    -

    Oh, while I'm at it, I also wrote a cute program that builds the 
    expire.ctl file dynamically based on available space.   Feel free
    to include this in the dist (or not) as you please.

    Basically, the expirectl programs determines the amount of disk blocks
    and inodes free in the spool and creates a new expire.ctl file based
    on an expire.ctl.ctl template.  The template specifies expiration times
    as a fraction of nominal.  expirectl adjusts the nominal expiration
    up or down based on available disk space.

    The idea is to make expiration as hands off as possible.  I tested
    it on a smaller spool and it appeared to work fine.  Currently it
    only works for single-partition news spools tho.  The above spool
    will not really exercise the program for another 14 days or so :-).

						-Matt

    Matthew Dillon		[email-masked]
    1005 Apollo Way		ham: KC6LVW (no mail drop)
    Incline Village, NV. 89451	Obvious Implementations Corporation
    USA 			Sandel-Avery Engineering
    [always include a portion of the original email in any response!]